/* $Id: isr51.h,v 1.3 1998/01/16 08:20:51 mandelli Exp $
 *
 * Description:
 *	8051 Interrupt Service Routines - Prototypes.
 *
 * Author[s]:
 *	Gianpaolo Macario	gianpi@geocities.com
 */

#ifndef _ISR51_H_
#define _ISR51_H_

#include <stdio.h>
#include "includes.h"

typedef void (*ISR_PTR)(void);

#define NUM_INTERRUPTS	8	/* 0 ... NUM_INTERRUPTS-1 */

/* Symbolic defines for isr_num */
#define INT_IE0		0
#define INT_TF0		1
#define INT_IE1		2
#define INT_TF1		3
#define INT_RI_TI	4
#define INT_UNK5	5
#define INT_UNK6	6
#define INT_UNK7	7

#if defined(_CC51) || defined(__C51__)
/* Return current interrupt vector */
ISR_PTR getvect(u_char isr_num);

/* Set interrupt vector */
void setvect(u_char isr_num, ISR_PTR newfunc);
#endif	/* defined(_C51) || defined(__C51__) */

#endif	/* ndef _ISR51_H_ */

/* === End of File === */
