/* $Id: os_cfg.h,v 1.10 1998/01/16 08:20:51 mandelli Exp $
 *
 * Description:
 *	uC/OS - Configuration file for Intel 8051 (large/reentrant model)
 *
 * Author[s]:
 *	Jean Labrosse		72644.7724@compuserve.com
 *	Gianpaolo Macario	gianpi@geocities.com
 *
 * Original documentation by Jean Labrosse follows:
*********************************************************************************************************
*                                                 uC/OS
*                                          The Real-Time Kernel
*
*                        (c) Copyright 1992-1995, Jean J. Labrosse, Plantation, FL
*                                           All Rights Reserved
*
*                                   Configuration for Intel 8051 (large)
*
* File : OS_CFG.H
* By   : Jean J. Labrosse
*********************************************************************************************************
*/

#ifndef _OS_CFG_H_
#define _OS_CFG_H_

/*
*********************************************************************************************************
*                                          uC/OS CONFIGURATION
*********************************************************************************************************
*/

#define OS_MAX_TASKS             63    /* Maximum number of tasks in your application                  */
#define OS_MAX_EVENTS            20    /* Maximum number of event control blocks in your application   */
#define OS_MAX_QS                 5    /* Maximum number of queue control blocks in your application   */

#define OS_IDLE_TASK_STK_SIZE    32    /* Idle task stack size (OS_STK_TYPEs)                          */
#define OS_IDLE_TASK_STK_TOP      0    /* Index into idle task top of stack                            */

#define OS_TASK_CHANGE_PRIO_EN    0    /* Include code for OSTaskChangePrio()                          */
#define OS_TASK_DEL_EN            1    /* Include code for OSTaskDel()                                 */
#define OS_SEM_EN                 1    /* Include code for SEMAPHORES                                  */
#define OS_MBOX_EN                0    /* Include code for MAILBOXES                                   */
#define OS_Q_EN                   1    /* Include code for QUEUES                                      */
#define OS_TASK_SUSPEND_EN        1    /* Include code for OSTaskSuspend() and OSTaskResume()          */

/* OS_CPU_CLOCK is the target CPU Clock Frequency in Hz */
#if (defined(CPUPB) || defined(CPMUX))
#define	OS_CPU_CLOCK	  24000000L
#elif defined(IM183)
#define	OS_CPU_CLOCK	  18432000L	/* was 20000000L */
#elif defined(GPSMM)
#define	OS_CPU_CLOCK	  14745600L
#else
#define	OS_CPU_CLOCK	  11059200L	/* Generic 11MHz target */
#endif

/* uC/OS-51 timeslice in microseconds */
#define OS_SYSTICK_US	10000L		/* TBD: should be 1000L */

#endif  /* ndef _OS_CFG_H_ */

/* === End of File === */
